Skip to content
View as Markdown

GET Get Abandon Cart Report Summary​

GET
/abandon-carts/report-summary

Retrieve a summary of abandoned cart metrics including recovered, processing, lost, draft, and opt-out revenue with counts. Also includes the overall recovery rate.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Query Parameters

date_range[]

Date range filter as an array of two date strings [start_date, end_date]. Defaults to the last 30 days if not provided or invalid.

Type
array
Min Items
2
Max Items
2

Responses​

Report summary with revenue and count widgets.

application/json
JSON
{
"widgets": {
"recovered_revenue": {
"title": "string",
"value": "string",
"count": "string"
},
"processing_revenue": {
"title": "string",
"value": "string",
"count": "string"
},
"lost_revenue": {
"title": "string",
"value": "string",
"count": "string"
},
"draft_revenue": {
"title": "string",
"value": "string",
"count": "string"
},
"optout_revenue": {
"title": "string",
"value": "string",
"count": "string"
},
"recovery_rate": {
"title": "string",
"value": "string",
"count": "string"
}
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI